svn:E155007和svn:E155004

yan-chou-strong · · 2447 次点击 · 开始浏览    置顶
这是一个创建于 的主题,其中的信息可能已经有所发展或是发生改变。
### 引言:   环境:ubuntu 16.04 svn: 一个为IDEA插件版本 一个install 版本 情景:命令行下 svn: E155007 not a working copy ;IDEA插件下 svn: E155004 is already locked ### 处理: 1. 尝试命令行下使用 ``` svn cleanup ``` 结果: svn: E155007 not a working copy 2. 尝试命令行下使用svn update 出现提示信息 ``` svn: E155036: 请参阅命令 'svn upgrade' svn: E155036: The working copy at '/root/IdeaProjects/trunk/LemonDataMarketProvider' is too old (format 29) to work with client version '1.9.3 (r1718519)' (expects format 31). You need to upgrade the working copy first. ``` 3. 从2可得,版本不一致,但在cleanup下不会提示此信息,于是执行 ``` svn upgrade ``` 结果: ``` 已升级的“.” ``` 4. 命令行下使用: ``` svn cleanup ``` 则无论插件还是Install svn皆可正常使用
2447 次点击  
加入收藏 微博
暂无回复
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传